    # File lib/chef/provider/file.rb, line 226
          def update_new_file_state(path=@new_resource.path)
            if !::File.directory?(path)
              @new_resource.checksum(checksum(path))
            end

            if Chef::Platform.windows?
              # TODO: To work around CHEF-3554, add support for Windows
              # equivalent, or implicit resource reporting won't work for
              # Windows.
              return
            end

            stat = ::File.stat(path)
            @new_resource.owner(stat.uid)
            @new_resource.mode(stat.mode & 07777)
            @new_resource.group(stat.gid)
          end